aboutsummaryrefslogtreecommitdiffstats
path: root/package/hostapd/files/wps-hotplug.sh
diff options
context:
space:
mode:
Diffstat (limited to 'package/hostapd/files/wps-hotplug.sh')
-rw-r--r--package/hostapd/files/wps-hotplug.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/package/hostapd/files/wps-hotplug.sh b/package/hostapd/files/wps-hotplug.sh
new file mode 100644
index 000000000..b5376cc55
--- /dev/null
+++ b/package/hostapd/files/wps-hotplug.sh
@@ -0,0 +1,6 @@
+if [ "$ACTION" = "pressed" -a "$BUTTON" = "wps" ]; then
+ for dir in /var/run/hostapd-*; do
+ [ -d "$dir" ] || continue
+ hostapd_cli -p "$dir" wps_pbc
+ done
+fi